Attio

Integrate your application with the Attio API

🚀 Quickstart

Connect to Attio with Tenklo and see data flow in 2 minutes.

Create the integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> Attio.

Authorize Attio

Go to Connections -> Add Test Connection -> Authorize, then log in to Attio. Later, you'll let your users do the same directly from your app.

Call the Attio API

Let's make your first request to the Attio API (fetch a list of people). Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl -X POST  "https://api.tenklo.dev/proxy/v2/objects/people/records/query" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{"limit": 10}'

Or fetch credentials with the Node SDK or API.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our Auth implementation guide to integrate Tenklo in your app.

To obtain your own production credentials, follow the setup guide linked below.

📚 Attio Integration Guides

Tenklo maintained guides for common use cases.

Official docs: Attio API documentation

🧩 Pre-built syncs & actions for Attio

Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.

Others

Function nameDescriptionTypeSource code
create-commentCreate a comment on a record or list entry in Attio.Action🔗 Github
create-list-entryCreate a list entry in Attio by adding a record to a listAction🔗 Github
create-listCreate a list in Attio.Action🔗 Github
create-noteCreate a note in Attio.Action🔗 Github
create-objectCreate a custom object in AttioAction🔗 Github
create-recordCreate a record in AttioAction🔗 Github
create-taskCreate a task in Attio.Action🔗 Github
create-webhookCreate a webhook in Attio.Action🔗 Github
delete-commentDelete a comment in AttioAction🔗 Github
delete-list-entryDelete or archive a list entry in AttioAction🔗 Github
delete-noteDelete or archive a note in Attio.Action🔗 Github
delete-recordDelete or archive a record in Attio.Action🔗 Github
delete-taskDelete or archive a task in Attio.Action🔗 Github
delete-webhookDelete or archive a webhook in AttioAction🔗 Github
get-commentRetrieve a single comment from Attio.Action🔗 Github
get-list-entryRetrieve a single list entry from Attio.Action🔗 Github
get-listRetrieve a single list from Attio.Action🔗 Github
get-noteRetrieve a single note from Attio.Action🔗 Github
get-objectRetrieve a single object from Attio.Action🔗 Github
get-recordRetrieve a single record from Attio.Action🔗 Github
get-taskRetrieve a single task from Attio.Action🔗 Github
get-webhookRetrieve a single webhook from Attio.Action🔗 Github
get-workspace-memberRetrieve a single workspace member from Attio.Action🔗 Github
list-list-entriesList list entries from Attio.Action🔗 Github
list-listsList lists from Attio.Action🔗 Github
list-notesList notes from Attio.Action🔗 Github
list-objectsList objects from Attio.Action🔗 Github
list-recordsList records from AttioAction🔗 Github
list-tasksList tasks from Attio.Action🔗 Github
list-webhooksList webhooks from Attio.Action🔗 Github
list-workspace-membersList all workspace members in Attio.Action🔗 Github
update-list-entryUpdate a list entry in Attio.Action🔗 Github
update-listUpdate a list in Attio.Action🔗 Github
update-objectUpdate an object in Attio.Action🔗 Github
update-recordUpdate a record in Attio.Action🔗 Github
update-taskUpdate a task in Attio.Action🔗 Github
update-webhookUpdate a webhook in Attio.Action🔗 Github
upsert-list-entryCreate or update a list entry in Attio by matching parent record.Action🔗 Github
upsert-recordCreate or update a record in Attio by matching attribute value.Action🔗 Github
companiesSync Attio company records.Sync🔗 Github
dealsSync Attio deal recordsSync🔗 Github
list-entriesSync list entries from Attio.Sync🔗 Github
listsSync lists from AttioSync🔗 Github
meetingsSync meetings from Attio.Sync🔗 Github
notesSync notes from Attio.Sync🔗 Github
objectsSync objects from Attio.Sync🔗 Github
peopleSync Attio person records.Sync🔗 Github
recordsSync records from Attio.Sync🔗 Github
tasksSync tasks from AttioSync🔗 Github
webhooksSync webhooks from Attio.Sync🔗 Github
workspace-membersSync workspace member profiles from Attio.Sync🔗 Github

On this page